GEOS: geos::triangulate::IncrementalDelaunayTriangulator Class Reference

GEOS 3.5.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
geos::triangulate::IncrementalDelaunayTriangulator Class Reference

`#include <IncrementalDelaunayTriangulator.h>`

## Public Types
typedef std::list< quadedge::Vertex > | VertexList

## Public Member Functions
| IncrementalDelaunayTriangulator (quadedge::QuadEdgeSubdivision *subdiv)
void | insertSites (const VertexList &vertices)
quadedge::QuadEdge & | insertSite (const quadedge::Vertex &v)

## Detailed Description

Computes a Delauanay Triangulation of a set of Vertexes, using an incrementatal insertion algorithm.

Author
  JTS: Martin Davis
  Benjamin Campbell

## Constructor & Destructor Documentation

geos::triangulate::IncrementalDelaunayTriangulator::IncrementalDelaunayTriangulator | ( | quadedge::QuadEdgeSubdivision * | subdiv | ) |

Creates a new triangulator using the given QuadEdgeSubdivision. The triangulator uses the tolerance of the supplied subdivision.

Parameters

  subdiv | a subdivision in which to build the TIN

## Member Function Documentation

quadedge::QuadEdge& geos::triangulate::IncrementalDelaunayTriangulator::insertSite | ( | const quadedge::Vertex & | v | ) |

Inserts a new point into a subdivision representing a Delaunay triangulation, and fixes the affected edges so that the result is still a Delaunay triangulation.

Returns
  a quadedge containing the inserted vertex

void geos::triangulate::IncrementalDelaunayTriangulator::insertSites | ( | const VertexList & | vertices | ) |

Inserts all sites in a collection. The inserted vertices MUST be unique up to the provided tolerance value. (i.e. no two vertices should be closer than the provided tolerance value). They do not have to be rounded to the tolerance grid, however.

Parameters

  vertices | a Collection of Vertex

Exceptions

  LocateFailureException | if the location algorithm fails to converge in a reasonable number of iterations

The documentation for this class was generated from the following file:

- IncrementalDelaunayTriangulator.h